import React from 'react';
import { TextInputProps } from 'react-native';
export declare type SearchProps = {
    shape?: 'round' | 'square';
    textAlign?: 'left' | 'center' | 'right';
    placeholder?: string;
    showClear?: boolean;
    searchText?: string;
    showSearchText?: boolean;
    textInputProps?: TextInputProps;
    onSearch?: (value: string) => void;
    onClear?: () => void;
};
declare const Search: React.FC<SearchProps>;
export default Search;
